This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1018242 - transient domain is made persistent after migration by virt-manager
transient domain is made persistent after migration by virt-manager
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virt-manager (Show other bugs)
6.5
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: virt-mgr-maint
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-11 10:23 EDT by David Jaša
Modified: 2014-01-21 00:52 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-20 04:47:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Jaša 2013-10-11 10:23:43 EDT
Description of problem:
transient domain is made permanent after migration by virt-manager

Version-Release number of selected component (if applicable):
virt-manager-0.9.0-19.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. start up transient domain (e.g. by using "virsh create file.xml)
2. migrate the domain using virt-manager
3.

Actual results:
domain is made permanent (it continues to exist after shutdown)

Expected results:
domain transient/persistent status is not changed (as "virsh migrate" without options behaves)

Additional info:
Comment 2 hyao@redhat.com 2013-10-22 02:47:53 EDT
I can reproduce the bug: 
# rpm -qa libvirt virt-manager 
libvirt-0.10.2-29.el6.x86_64
virt-manager-0.9.0-19.el6.x86_64

Scenario A,
1. start up transient domain by using "virsh create T.xml“
2. migrate the domain using virt-manager, 
3. destroy the domain by using virsh destroy T on the destination host, the domain on the destination host is still there after shutdown.

Scenario B,
1. start up transient domain by using "virsh create T.xml“
2. migrate the domain to the destination host using virt-manager, 
3. Migratie the domain back to the original host and destroy the domain, the domain is made permanent on the original host.
Comment 3 Giuseppe Scrivano 2014-01-20 04:47:13 EST
Given the severity of the buf and that it is not affecting any customer, I am closing it as WONTFIX.  Please re-open it if you disagree.

Note You need to log in before you can comment on or make changes to this bug.